From 68a12180a86f66e4c72138ad70e4e3dc9833ec8e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 20:42:03 +0000
Subject: [PATCH 1171/2232] Clean up get_ prefix from accessor method name


---

diff --git a/gen/src/namespace_organizer.rs b/gen/src/namespace_organizer.rs
index 525c367..59a58ad 100644
--- a/gen/src/namespace_organizer.rs
+++ b/gen/src/namespace_organizer.rs
@@ -29,7 +29,7 @@ impl<'a> NamespaceEntries<'a> {
 
         let mut kids_by_child_ns = BTreeMap::new();
         for api in apis {
-            if let Some(ns) = api.get_namespace() {
+            if let Some(ns) = api.namespace() {
                 let first_ns_elem = ns.iter().nth(depth);
                 if let Some(first_ns_elem) = first_ns_elem {
                     let list = kids_by_child_ns.entry(first_ns_elem).or_insert(Vec::new());
diff --git a/syntax/namespace.rs b/syntax/namespace.rs
index 5f368e8..4a37f7a 100644
--- a/syntax/namespace.rs
+++ b/syntax/namespace.rs
@@ -82,7 +82,7 @@ impl<'a> IntoIterator for &'a Namespace {
 }
 
 impl Api {
-    pub fn get_namespace(&self) -> Option<&Namespace> {
+    pub fn namespace(&self) -> Option<&Namespace> {
         match self {
             Api::CxxFunction(efn) | Api::RustFunction(efn) => Some(&efn.ident.cxx.ns),
             Api::CxxType(ety) | Api::RustType(ety) => Some(&ety.ident.cxx.ns),

